#ifndef _POWER_STATE__H_
#define _POWER_STATE__H_

///////////////////////////////////////////////////////////
//       CPowerState class
//
//          Sets the system into standby/hibernation state
//
//          Usage:
//            Construct an object of this class on the stack,
//            and call the Standby( ) or Hibernate( ) method.
//            If these functions fail, they'll return false.
//
//          Developed by Ehsan Akhgari
//                       Ehsan@BeginThread.com
//
////////////////////////////////////////////////////////////

class CPowerState
{
public:
	CPowerState( void );
	~CPowerState( void );
	bool Standby( void );
	bool Hibernate( void );
private:
	bool AdjustToken( bool );
};

#endif